#ifndef _KK_LINKKIT_H_
#define _KK_LINKKIT_H_
#include "kk_tsl_common.h"
int kk_mid_subdev_batch_add( char productCode[PRODUCT_CODE_MAXLEN], char deviceCode[DEVICE_CODE_MAXLEN],char mac[DEVICE_MAC_MAXLEN],char fatherDeviceCode[DEVICE_CODE_MAXLEN],char *version);
int kk_topo_delete_handle(cJSON *payload,cJSON *buf);
int kk_get_cloudstatus(void);
int kk_get_cloud_recv_status(void);
int kk_init_dmproc(void);
int _iotx_linkkit_slave_connect(int devid);
int _iotx_linkkit_slave_register(int devid);
void IOT_Linkkit_Yield(int timeout_ms);
int IOT_Linkkit_Close(int devid);
int kk_mid_subdev_add(int devType, char productCode[PRODUCT_CODE_MAXLEN], char deviceCode[DEVICE_CODE_MAXLEN],char mac[DEVICE_MAC_MAXLEN],char fatherDeviceCode[DEVICE_CODE_MAXLEN],char version[32]);
int kk_service_arming_set(char *state);
int kk_service_common_reply(cJSON *param,cJSON *msgId,char *msgType);
int kk_service_common_reply_ex(cJSON *param,cJSON *msgId,char *msgType,cJSON *Item);

#endif
